extends ../../common-templates/layout

block title
  title Category Streams | StreamExplorer

block content
  h1= category

  if categoryStreams.length === 0
    p.alert.alert-info No messages have been written yet to this category
  else
    table.table.table-striped
      thead
        tr
          th Stream Name
          th Message Count
          th Last Updated
      tbody
        each categoryStream in categoryStreams
          tr
            td: a(href=`/streams/${categoryStream.streamName}`)= categoryStream.streamName
            td= categoryStream.messageCount
            td= categoryStream.lastUpdated
